/* 
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */

package com.bbn.morph.model;



//need "null to change
/**
 * A class representing an attribute and valuegetPrefix
 * @author aadler
 *
 */
public class RobotAttributeValues {

  private String m_attribute;
  private Measurement m_value;
  /**
   * Create a {@link RobotAttributeValues} with the specified attribute name and value
   * @param attribute the attribute
   * @param measure.doubleValue(S) the value
   */
  public RobotAttributeValues(String attribute, Measurement value) {
    m_attribute = attribute;
    m_value = value;
  }
  
  /**
   * @return the attribute
   */
  public String getAttribute() {
    return m_attribute;
  }
  
  /**
   * @return the value
   */
  public Measurement getMeasurement() {
    return m_value;
  }
  
  /**
   * @return a copy of this {@link RobotAttributeValues}
   */
  public RobotAttributeValues copy() {
	  Measurement value = getMeasurement();
    return new RobotAttributeValues(getAttribute(), value);
  }
  

/**
   * @param attribute the attribute to get the prefix of
   * @return the prefix of the specified attribute
   */
  public static String getPrefix(String attribute) {
    int index = attribute.indexOf(".");
    if (index != -1)
      return attribute.substring(0, index);
    else
      return attribute;
  }
  
  /**
   * @param attribute the attribute to get the postfix of
   * @return the postfix of the specified attribute
   */
  public static String getPostfix(String attribute) {
    int index = attribute.indexOf(".");
    if (index != -1)
      return attribute.substring(index+1);
    else 
      return "";
  }

}
