/* Test the Units class
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */

package com.bbn.morph.model.test;

import junit.framework.Assert;

import org.junit.Test;

import com.bbn.morph.model.UnitNames;
import com.bbn.morph.model.UnitPrefixes;
import com.bbn.morph.model.Units;

public class UnitsTest {

  
  @Test
  public void unitsTest1() {
    Units u = new Units(UnitPrefixes.MILLI, UnitNames.GRAMS);
    Assert.assertEquals(UnitNames.GRAMS, u.getBaseUnit());
    Assert.assertEquals(UnitNames.GRAMS, u.getStandardizedUnits().getBaseUnit());
    Assert.assertEquals(UnitPrefixes.KILO, u.getStandardizedUnits().getPrefix());
  }

  @Test
  public void unitsTest2() {
    Units u = new Units(UnitPrefixes.KILO, UnitNames.METERS);
    Assert.assertEquals(UnitNames.METERS, u.getBaseUnit());
    Assert.assertEquals(UnitNames.METERS, u.getStandardizedUnits().getBaseUnit());
    Assert.assertEquals(UnitPrefixes.NONE, u.getStandardizedUnits().getPrefix());
  }

}
