/* The environment model display
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.ui;

import javax.media.opengl.GL;
import javax.media.opengl.GL2;
import javax.media.opengl.GLAutoDrawable;
import javax.media.opengl.GLEventListener;
import javax.media.opengl.glu.GLU;

import com.bbn.morph.model.DesiredPhysicalModel;
import com.bbn.morph.model.PhysicalModel;
import com.bbn.morph.view.DesiredView;

public class UIEnvDraw implements GLEventListener {
	private GLU glu;
	private int w, h;
	private PhysicalModel model;
	private DesiredPhysicalModel desired;
	private DesiredView desiredView;
	
	public UIEnvDraw(PhysicalModel mdl, DesiredPhysicalModel dmdl) {
		model = mdl;
		desired = dmdl;
		desiredView = new DesiredView(model, desired);
	}
	
	@Override
	public void display(GLAutoDrawable arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void dispose(GLAutoDrawable arg0) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void init(GLAutoDrawable drawable) {
		w = drawable.getWidth();
		 h = drawable.getHeight();

		 GL2 gl = drawable.getGL().getGL2();
		 glu = new GLU();

		 gl.glShadeModel(GL2.GL_SMOOTH);
		 gl.glClearColor(0.0f,0.0f,0.0f,0.0f);
		 gl.glClearDepth(1.0f);												// Depth Buffer Setup
		 gl.glEnable(GL.GL_DEPTH_TEST);										// Enables Depth Testing
		 gl.glDepthFunc(GL.GL_LEQUAL);										// The Type Of Depth Test To Do
		 gl.glHint(GL2.GL_PERSPECTIVE_CORRECTION_HINT, GL.GL_NICEST);			// Really Nice Perspective Calculations
		
	}

	@Override
	public void reshape(GLAutoDrawable drawable, int x, int y, int w2, int h2) {
		GL2 gl = drawable.getGL().getGL2();

	    w2 = drawable.getWidth();
	    h2 = drawable.getHeight();

	    gl.glMatrixMode(GL2.GL_MODELVIEW);
	    gl.glLoadIdentity();

	    // perspective view
	    gl.glViewport(10, 10, w, h);
	    gl.glMatrixMode(GL2.GL_PROJECTION);
	    gl.glLoadIdentity();
	    glu.gluPerspective(45.0f,(float)w/(float)h,0.1f,100.0f);
		
	}

}
