/* 
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.view;

/**
 *  Attribute name of the model.
 *  Might also add type/annotations such as global vs. local in later version.
 * 
 * @author fyaman
 *
 */
public class RobotAttribute {
String name;

public RobotAttribute(String name) {
	super();
	this.name = name;
}

public String getName() {
	return name;
}

@Override
public String toString() {
	return "RobotAttribute [name=" + name + "]";
}

@Override
public int hashCode() {
	final int prime = 31;
	int result = 1;
	result = prime * result + ((name == null) ? 0 : name.hashCode());
	return result;
}

@Override
public boolean equals(Object obj) {
	if (this == obj)
		return true;
	if (obj == null)
		return false;
	if (getClass() != obj.getClass())
		return false;
	RobotAttribute other = (RobotAttribute) obj;
	if (name == null) {
		if (other.name != null)
			return false;
	} else if (!name.equals(other.name))
		return false;
	return true;
}

}
