/*
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.view;


public class StepDecrementUpdate implements UpdateFunction {

double step=0;
double minStep;
public StepDecrementUpdate(double step) {
	super();
	this.step = step;
	minStep=step/10;
}

@Override
public double delta(double stress) {
	if (stress==0)
		return 0;
	if (stress>0)
	   return -1 * Math.max(minStep,stress*step);
	return -1 * Math.min(-minStep,stress*step);
}

@Override
public String description() {
	return "StepDecrement Update Function: When stress direction is (-) increase the value by "+ step+ "*|stress| decrease when stress direction is (+)";
}


}
