/*
Copyright (C) 2011, Raytheon BBN Technologies and contributors listed
in the AUTHORS file in the MADV distribution's top directory.

This file is part of MADV, and is distributed under the terms of the
GNU General Public License, with a linking exception, as described in
the file LICENSE in the MADV distribution's top directory. */
package com.bbn.morph.view.test;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;

import com.bbn.morph.model.CompositeModel;
import com.bbn.morph.model.ModelGenerator;
import com.bbn.morph.view.ROSModelView;

public class ROSModelViewTest {

  public static void main(String[] args) throws Exception {
    CompositeModel compositeModel = ModelGenerator.getCompositeModel();
    ROSModelView rmv = new ROSModelView(compositeModel.getRobotModel(), 
        compositeModel.getEnvironmentModel());
    String[] files = rmv.getFiles();
    
    // create the files:
    createFile("resources/xmlModels/dimensions.urdf.xacro", files[0]);
    createFile("resources/xmlModels/wheels.urdf.xacro", files[1]);
    createFile("resources/xmlModels/madv_wheel_controller.yaml", files[2]);
    createFile("resources/xmlModels/controllers.launch", files[3]);
    createFile("resources/xmlModels/stair.model", files[4]);
  }
  
  private static void createFile(String filename, String fileContents) {
    try {
      File file = new File(filename);
      FileWriter fw = new FileWriter(file);
      fw.write(fileContents);
      fw.close();
    }
    catch (IOException ex) {
      ex.printStackTrace();
    }
  }
  
}
